/*
 * Copyright (c) 2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.nachrichten.antragraum;

import de.ozgcloud.common.test.TestUtils;

import java.util.UUID;

public class GrpcFindRueckfrageRequestTestFactory {
	static final String POSTFACH_ID = UUID.randomUUID().toString();
	static final String SAML_TOKEN = TestUtils.loadTextFile("SamlResponse.xml");

	static GrpcFindRueckfragenRequest create() {
		return createBuilder().build();
	}

	static GrpcFindRueckfragenRequest.Builder createBuilder() {
		return GrpcFindRueckfragenRequest.newBuilder()
				.setPostfachId(POSTFACH_ID)
				.setSamlToken(SAML_TOKEN);
	}
}
